<?php
// include necessary libraries
require_once('php/lib/common.php');

// rewrite URL sent by form to be prettier
if ($_REQUEST['year']) {
	header('Location: '.$_CONTROLLER['BASE_DIR'].'/klingon/'.$_REQUEST['year']);
	exit;
}

// define variable for use in the view
$time_period = $_CONTROLLER['PATH_ARGS'][1];
if ($time_period == 2151) $current_chancellor = 'In 2151, the Chancellor of the Klingon Empire was M\'Rek. There is very little known about him other than his name.';
elseif ($time_period == 2293) $current_chancellor = 'In 2293, the Chancellor of the Klingon Empire was Gorkon. He presided over peace talks with the United Federation of Planets representative Captain Kirk. During the peace negotiations, he was assassinated and his daughter Azetbur took his place, successfully completing the peace negotiations. Azetbur is the only known female to have ruled the Klingon Empire.';
elseif ($time_period == '2360s') $current_chancellor = 'In the 2360s, the Chancellor of the Klingon Empire was K\'mpec. It is unknown precisely how long he ruled the empire, but he is said to have been the "longest lived" Chancellor in the history of the Klingon Empire. He was assassinated by Duras in 2367.';
elseif ($time_period == '2367-2375') $current_chancellor = 'From 2367-2375, the Chancellor of the Klingon Empire was Gowron. He ruled during the Klingon Civil War, Klingon-Cardassian War, and the Dominion War. He was assassinated by Worf in 2375.';
elseif ($time_period == 2375) $current_chancellor = 'After Gowron was assassinated by Worf in 2375, the Chancellor of the Klingon Empire was Martok. Martok was an unlikely ruler, not born of noble blood. The power in fact fell to Worf when he assassinated Gowron, but Worf voluntarily transferred the power to Martok, believing him to be a better ruler.';

// include necessary views
require_once('php/views/header.tmpl.php');
require_once('php/views/klingon.tmpl.php');
require_once('php/views/footer.tmpl.php');
?>